# H4507_MWIInterrogateResElt Class Reference

`#include <h4507.h>`

Inheritance diagram for H4507_MWIInterrogateResElt:

List of all members.

## Public Types

enum | OptionalFields { e_msgCentreId, e_nbOfMessages, e_originatingNr, e_timestamp, e_priority, e_extensionArg }

## Public Member Functions

| H4507_MWIInterrogateResElt (unsigned tag=UniversalSequence, TagClass tagClass=UniversalTagClass)
PINDEX | GetDataLength () const
PBoolean | Decode (PASN_Stream &strm)
void | Encode (PASN_Stream &strm) const
void | PrintOn (ostream &strm) const
Comparison | Compare (const PObject &obj) const
PObject * | Clone () const

## Public Attributes

H4507_BasicService | m_basicService
H4507_MsgCentreId | m_msgCentreId
H4507_NbOfMessages | m_nbOfMessages
H4501_EndpointAddress | m_originatingNr
H4507_TimeStamp | m_timestamp
PASN_Integer | m_priority
H4507_ArrayOf_MixedExtension | m_extensionArg

## Member Enumeration Documentation

enum H4507_MWIInterrogateResElt::OptionalFields

Enumerator:

  e_msgCentreId |
  e_nbOfMessages |
  e_originatingNr |
  e_timestamp |
  e_priority |
  e_extensionArg |

## Constructor & Destructor Documentation

H4507_MWIInterrogateResElt::H4507_MWIInterrogateResElt | ( | unsigned | tag = `UniversalSequence`,
|  | TagClass | tagClass = `UniversalTagClass` |
| ) |  |  |

## Member Function Documentation

PINDEX H4507_MWIInterrogateResElt::GetDataLength | ( |  | ) | const

PBoolean H4507_MWIInterrogateResElt::Decode | ( | PASN_Stream & | strm | ) |

void H4507_MWIInterrogateResElt::Encode | ( | PASN_Stream & | strm | ) | const

void H4507_MWIInterrogateResElt::PrintOn | ( | ostream & | strm | ) | const

Comparison H4507_MWIInterrogateResElt::Compare | ( | const PObject & | obj | ) | const

PObject* H4507_MWIInterrogateResElt::Clone | ( |  | ) | const

## Member Data Documentation

H4507_BasicService H4507_MWIInterrogateResElt::m_basicService

H4507_MsgCentreId H4507_MWIInterrogateResElt::m_msgCentreId

H4507_NbOfMessages H4507_MWIInterrogateResElt::m_nbOfMessages

H4501_EndpointAddress H4507_MWIInterrogateResElt::m_originatingNr

H4507_TimeStamp H4507_MWIInterrogateResElt::m_timestamp

PASN_Integer H4507_MWIInterrogateResElt::m_priority

H4507_ArrayOf_MixedExtension H4507_MWIInterrogateResElt::m_extensionArg

The documentation for this class was generated from the following file:

- h4507.h